// GFXBALL - [2020-04-13 11:57:46]
#ifndef _GFXBALL_H_
#define _GFXBALL_H_

#include "CFTTFrustum32.h"
#include "CGFXSHADOWStaticShadow.h"
#include "CFTTMatrix32.h"

/*
0017C06C GFXBALL_UpdateBallMatrix()
0017C170 GFXBALL_Render()
0017C65C GFXBALL_ShadowMapRender(CFTTFrustum32)
0017C7D0 GFXBALL_Init()
0017C828 GFXBALL_SetType(EBallType,EBallColour)
0017C9A0 GFXBALL_Shutdown()
*/

enum EBallType {
  EBallType_0,
  EBallType_1,
  EBallType_2,
  EBallType_3,
  EBallType_4,
  EBallType_5,
};

enum EBallColour {
  EBallColour_UNK = -1,
  EBallColour_0,
  EBallColour_1,
  EBallColour_2,
  EBallColour_3,
  EBallColour_4,
  EBallColour_5,
};

// extern CGFXSHADOWStaticShadow* g_pStaticObjectShadow_4764A0;  //004764A0;

extern CFTTMatrix32 GFXBALL_mMatrix;

// 0017C06C
void GFXBALL_UpdateBallMatrix();

// 0017C170
void GFXBALL_Render();

// 0017C65C
void GFXBALL_ShadowMapRender(CFTTFrustum32);

// 0017C7D0
void GFXBALL_Init();

// 0017C828
void GFXBALL_SetType(EBallType eType0, EBallColour eColour1);

// 0017C9A0
void GFXBALL_Shutdown();

#endif  //_GFXBALL_H_
